Generation Framework

## org.eclipse.gmf.tooldef
Interface BundleImage

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, Image, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  BundleImageImpl

    public interface BundleImage

extends Image

A representation of the model object 'Bundle Image'. Image bundled as part of distribution

The following features are supported:

- `Path`
- `Bundle`

See Also:
  `GMFToolPackage.getBundleImage()`
** Generated **
Model:

Method Summary
`java.lang.String` `getBundle()` Returns the value of the 'Bundle' attribute
`java.lang.String` `getPath()` Returns the value of the 'Path' attribute
`void` `setBundle(java.lang.String value)` Sets the value of the '`Bundle`' attribute
`void` `setPath(java.lang.String value)` Sets the value of the '`Path`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPath

    java.lang.String getPath()

  Returns the value of the 'Path' attribute.

  If the meaning of the 'Path' attribute isn't clear, there really should be more of a description here...

  Relative path to image

  Returns:
    the value of the 'Path' attribute.
  See Also:
    `setPath(String)`, `GMFToolPackage.getBundleImage_Path()`
  ** Generated **
  Model:

### setPath

    void setPath(java.lang.String value)

  Sets the value of the '`Path`' attribute.

  Parameters:
    `value` - the new value of the 'Path' attribute.
  See Also:
    `getPath()`
  ** Generated **

### getBundle

    java.lang.String getBundle()

  Returns the value of the 'Bundle' attribute.

  If the meaning of the 'Bundle' attribute isn't clear, there really should be more of a description here...

  Empty value means image path is relative to generated bundle

  Returns:
    the value of the 'Bundle' attribute.
  See Also:
    `setBundle(String)`, `GMFToolPackage.getBundleImage_Bundle()`
  ** Generated **
  Model:

### setBundle

    void setBundle(java.lang.String value)

  Sets the value of the '`Bundle`' attribute.

  Parameters:
    `value` - the new value of the 'Bundle' attribute.
  See Also:
    `getBundle()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.